Bug 968301 - improvement in log message for self-heal failure on file/dir in fuse mount logs
improvement in log message for self-heal failure on file/dir in fuse mount logs
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: vsomyaju
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 08:24 EDT by vsomyaju
Modified: 2015-03-04 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:21:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vsomyaju 2013-05-29 08:24:06 EDT
Description of problem:
We often get the following message in fuse mount logs:

[2013-03-21 03:45:52.861295] E [afr-self-heal-common.c:2069:afr_self_heal_completion_cbk] 0-vol-rep-1-replicate-0: background  data missing-entry gfid self-heal failed on /fuse/test1

Does this message really mean the background data, missing-entry, gfid, self-heal didn't happen ?

Can a reason be provided on why it failed? The above message is quite confusing in understanding self-heal failure. 


Version-Release number of selected component (if applicable):


How reproducible:
often

Steps to Reproduce:
1. Create 1 x 2 replicate volume. Start the volume. 

2. bring down brick1. 

3. create files and directories.

4. bring back online brick1.

5. from one of the storage node start "volume heal "

6. from mount execute "find . | xargs stat"


Actual results:


Expected results:
Improvements in the log message required.

Additional info:
Comment 1 Anand Avati 2013-05-29 08:27:07 EDT
REVIEW: http://review.gluster.org/5106 (cluster/afr:  Improvement in logging of self heal completion status) posted (#2) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 2 Anand Avati 2013-06-11 03:48:04 EDT
REVIEW: http://review.gluster.org/5106 (cluster/afr:  Improvement in logging of self heal completion status) posted (#3) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 3 Anand Avati 2013-06-13 21:52:45 EDT
COMMIT: http://review.gluster.org/5106 committed in master by Anand Avati (avati@redhat.com) 
------
commit dccd014947131fabfb14ab96ced05cbc685f7076
Author: Venkatesh Somyajulu <vsomyaju@redhat.com>
Date:   Tue Jun 11 13:15:23 2013 +0530

    cluster/afr:  Improvement in logging of self heal completion status
    
    Problem:
    As the end of the self heal, message logged by
    "afr_self_heal_completion_cbk" is inadequate to determine what exactly failed
    during the course of afr self heal. It is worth to have knowledge of what all
    types of self heal got triggered for an entity and whether the status is success
    or failure.
    
    Fix:
    At the end of self heal, it will log information about out of 4 types of self
    heal (gfid or missing entry self heal, metadata, data and entry self heal),
    who all got triggered and who all got failed or successful at the end.
    
    Change-Id: I5360762fbd7d391ac4c6af6706b4835c5801835a
    BUG: 968301
    Signed-off-by: Venkatesh Somyajulu <vsomyaju@redhat.com>
    Reviewed-on: http://review.gluster.org/5106
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 4 Anand Avati 2013-08-16 02:23:28 EDT
REVIEW: http://review.gluster.org/5638 (cluster/afr:  Improvement in logging of self heal completion status) posted (#1) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 5 Anand Avati 2013-08-27 02:00:31 EDT
REVIEW: http://review.gluster.org/5638 (cluster/afr: Improvement in logging of self heal completion status) posted (#2) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 6 Anand Avati 2013-08-27 07:24:45 EDT
REVIEW: http://review.gluster.org/5707 (cluster/afr: Improvement in logging of self heal completion status) posted (#1) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 7 Anand Avati 2013-08-28 06:34:26 EDT
REVIEW: http://review.gluster.org/5638 (cluster/afr: Improvement in logging of self heal completion status) posted (#3) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 8 Anand Avati 2013-08-28 08:12:13 EDT
REVIEW: http://review.gluster.org/5638 (cluster/afr: Improvement in logging of self heal completion status) posted (#5) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)
Comment 9 Anand Avati 2013-08-29 18:51:10 EDT
COMMIT: http://review.gluster.org/5638 committed in master by Anand Avati (avati@redhat.com) 
------
commit 85b6dcfb533c5b04038808135a581eb7ca9fd61d
Author: Venkatesh Somyajulu <vsomyaju@redhat.com>
Date:   Wed Aug 28 17:39:23 2013 +0530

    cluster/afr: Improvement in logging of self heal completion status
    
    Additional information for source and sinks are added.
    
    Change-Id: I1704956ff86ac3ae36744efe7499c1d1c43faeaf
    BUG: 968301
    Signed-off-by: Venkatesh Somyajulu <vsomyaju@redhat.com>
    Reviewed-on: http://review.gluster.org/5638
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 10 Anand Avati 2014-01-07 02:41:26 EST
REVIEW: http://review.gluster.org/6654 (cluster/afr: Added entry self heal completion status) posted (#1) for review on master by venkatesh somyajulu (vsomyaju@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.